mobileactivation_activate
mobileactivation_activate_with_session
mobileactivation_client_free
mobileactivation_client_new
mobileactivation_client_start_service
mobileactivation_client_t
mobileactivation_create_activation_info
mobileactivation_create_activation_info_with_session
mobileactivation_create_activation_session_info
mobileactivation_deactivate
mobileactivation_error_t
mobileactivation_get_activation_state
MOBILEACTIVATION_SERVICE_NAME

## mobileactivation_client_new()

LIBIMOBILEDEVICE_API mobileactivation_error_t mobileactivation_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | mobileactivation_client_t * | client )

Connects to the mobileactivation service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Reference that will point to a newly allocated mobileactivation_client_t upon successful return.

Returns
  MOBILEACTIVATION_E_SUCCESS on success, MOBILEACTIVATION_E_INVALID_ARG when one of the parameters is invalid, or MOBILEACTIVATION_E_MUX_ERROR when the connection failed.